Package: org.codehaus.groovy.runtime.dgmimpl.arrays

## [Java] Class ArrayMetaMethod

- org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

-     public abstract class ArrayMetaMethod
      extends CallSiteAwareMetaMethod

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static CachedClass` | `INTEGER_CLASS` |
    `protected static CachedClass[]` | `INTEGER_CLASS_ARR` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getModifiers()`
    `` | `protected static int` | `normaliseIndex(int i, int size)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CallSiteAwareMetaMethod` | `createPojoCallSite`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Field Detail

    - #### protected static final CachedClass INTEGER_CLASS

    - #### protected static final CachedClass[] INTEGER_CLASS_ARR

  - ### Method Detail

    - #### @Override
      public int getModifiers()

    - #### protected static int normaliseIndex(int i, int size)